#!/usr/bin/env bash
#
# ...
#
# 使用方法:
# URL="https://git.1-h.cc/Scripts/Linux/raw/branch/main/debian/upgrade.sh"; curl -fsSL "$URL" | bash || wget -q -O - "$URL" | bash

DEBIAN_FRONTEND=noninteractive &&
  apt -qq update &&
  apt -qq upgrade -y &&
  apt -qq full-upgrade -y &&
  apt -qq autoremove &&
  apt -qq autoclean &&
  apt clean &&
  systemctl --failed &&
  apt -qq install needrestart -y &&
  needrestart -q -r l
